Upstream information

CVE-2006-0742 at MITRE

Description

The die_if_kernel function in arch/ia64/kernel/unaligned.c in Linux kernel 2.6.x before 2.6.15.6, possibly when compiled with certain versions of gcc, has the "noreturn" attribute set, which allows local users to cause a denial of service by causing user faults on Itanium systems.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:S/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entries: 154622 [RESOLVED / FIXED], 613485 [RESOLVED / INVALID]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX Retail Solution 8
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • k_athlon >= 2.4.21-309
  • k_debug >= 2.4.21-309
  • k_deflt >= 2.4.21-309
  • k_psmp >= 2.4.21-309
  • k_smp >= 2.4.21-309
  • kernel-source >= 2.4.21-309
Builds
SuSE Linux Enterprise Server 8 for IPF
UnitedLinux 1.0
  • k_deflt >= 2.4.21-309
  • k_itanium2 >= 2.4.21-309
  • k_itanium2-smp >= 2.4.21-309
  • k_page-64k >= 2.4.21-309
  • k_smp >= 2.4.21-309
  • kernel-source >= 2.4.21-309
Builds
SuSE Linux Enterprise Server 8 for AMD64
UnitedLinux 1.0
  • k_deflt >= 2.4.21-309
  • k_numa >= 2.4.21-309
  • k_smp >= 2.4.21-309
  • kernel-source >= 2.4.21-309
Builds
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
  • kernel-iseries64 >= 2.4.21-309
  • kernel-ppc64 >= 2.4.21-309
  • kernel-source >= 2.4.21-309
Builds
SuSE Linux Enterprise Server 8 for IBM zSeries
  • k_deflt >= 2.4.21-309
  • kernel-source >= 2.4.21-309
Builds